CSPLIT(1)

NAZWA
csplit - dzieli plik na części według wierszy kontekstu

SKŁADNIA
csplit [OPCJA]... PLIK WZORZEC...

OPIS

Wypisuje części PLIKU rozdzielone WZORCEM/WZORCAMI do plików "xx00", "xx01", ..., i wyświetla liczbę bajtów każdej części na standardowe wyjście.

Czyta standardowe wejście, jeśli PLIKIEM jest -.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --suffix-format=FORMAT
    używa FORMATU sprintf zamiast %02d

-f, --prefix=PRZEDROSTEK
    używa PRZEDROSTKA zamiast "xx"

-k, --keep-files
    nie usuwa plików wyjściowych w przypadku wystąpienia błędów

--suppress-matched
    pomija wiersze pasujące do WZORCA

-n, --digits=CYFRY
    używa podanej liczby cyfr zamiast 2

-s, --quiet, --silent
    nie wyświetla rozmiaru plików wyjściowych

-z, --elide-empty-files
    powstrzymuje tworzenie pustych plików wyjściowych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  Każdym WZORCEM może być:

LICZBA
    kopiuje do podanego numeru wiersza (z jego wyłączeniem)

/WYR-REG/[PRZESUNIĘCIE]
    kopiuje do pasującego wiersza (z jego wyłączeniem)

%WYR-REG%[PRZESUNIĘCIE]
    pomija do pasującego wiersza (z jego wyłączeniem)

{LICZBA}
    powtarza poprzedni wzorzec określoną liczbę razy

{*} powtarza poprzedni wzorzec tyle razy, ile to możliwe

PRZESUNIĘCIE wiersza jest liczbą opcjonalnie poprzedzoną znakiem + lub -.

AUTOR
Napisane przez Stuarta Kempa i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/csplit>
lub lokalnie, za pomocą info '(coreutils) csplit invocation'

Spakietowane przez Debiana (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.